{
  "cardHeight" : 200,
  "cardWidth" : 300,
  "codeName" : "DataView1",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSDATAVIEWS/DataView1.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "groupLayout" : "ROW",
  "groupMode" : "CODELIST",
  "getGroupPSAppDEField" : {
    "name" : "TYPE",
    "codeName" : "Type"
  },
  "getGroupPSCodeList" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
  },
  "getGroupPSUIActionGroup" : {
    "codeName" : "Usr0822434654",
    "name" : "测试折叠行为组",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "收缩",
      "detailType" : "DEUIACTION",
      "name" : "u3fa3a61",
      "getPSUIAction" : {
        "caption" : "收缩",
        "codeName" : "Collapse",
        "fullCodeName" : "Collapse",
        "name" : "收缩",
        "predefinedType" : "UTIL_COLLAPSE",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Collapse",
        "uIActionType" : "DEUIACTION"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部收缩",
      "detailType" : "DEUIACTION",
      "name" : "ucd03b62",
      "getPSUIAction" : {
        "caption" : "全部收缩",
        "codeName" : "CollapseAll",
        "fullCodeName" : "CollapseAll",
        "name" : "全部收缩",
        "predefinedType" : "UTIL_COLLAPSEALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "CollapseAll",
        "uIActionType" : "DEUIACTION"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "展开",
      "detailType" : "DEUIACTION",
      "name" : "u64f00a7",
      "getPSUIAction" : {
        "caption" : "展开",
        "codeName" : "Expand",
        "fullCodeName" : "Expand",
        "name" : "展开",
        "predefinedType" : "UTIL_EXPAND",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Expand",
        "uIActionType" : "DEUIACTION"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部展开",
      "detailType" : "DEUIACTION",
      "name" : "u2e9f042",
      "getPSUIAction" : {
        "caption" : "全部展开",
        "codeName" : "ExpandAll",
        "fullCodeName" : "ExpandAll",
        "name" : "全部展开",
        "predefinedType" : "UTIL_EXPANDALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExpandAll",
        "uIActionType" : "DEUIACTION"
      },
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true
    } ]
  },
  "logicName" : "卡片（分组宽高）",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  } ],
  "pagingMode" : 1,
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "hasWFDataItems" : false,
  "appendDEItems" : false,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : true,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "A55CA0E0-63EE-4DC4-A2E7-E7EA15D8BBF0",
  "modeltype" : "PSDEDATAVIEW"
}